Skip to main content
PATCH
/
v4
/
core
/
disconnect-requests
/
{id}
Resolve
curl --request PATCH \
  --url https://api.integrations.commenda.io/v4/core/disconnect-requests/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "status": "APPROVED"
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/disconnect-requests/{id}"

payload = { "status": "APPROVED" }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'APPROVED'})
};

fetch('https://api.integrations.commenda.io/v4/core/disconnect-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rootfi_id": 123,
  "rootfi_company_id": 123,
  "rootfi_created_at": "<string>",
  "company_name": {},
  "requester_ip": {},
  "resolved_by_user_id": {},
  "resolved_by": {
    "rootfi_id": 123,
    "email": "<string>",
    "name": {}
  },
  "resolved_at": {}
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

id
number
required

Body

application/json
status
enum<string>
required
Available options:
APPROVED,
REJECTED,
CANCELLED
Example:

"APPROVED"

Response

200 - application/json
rootfi_id
number
required
rootfi_company_id
number
required
integration_type
enum<string>
required
Available options:
BUSY,
CLEARBOOKS,
FREEAGENT,
FRESHBOOKS,
KASHFLOW,
MEKARI_JURNAL,
MS_DYNAMICS_365,
MS_DYNAMICS_365_FO,
MYOB_BUSINESS,
NETSUITE,
ODOO_ACCOUNTING,
QOYOD,
QUICKBOOKS,
QUICKBOOKS_SANDBOX,
ROOTFI_SANDBOX,
SAGE_CLOUD_ACCOUNTING,
SAGE_ZA_CLOUD_ACCOUNTING,
SAGE_INTACCT,
TALLY,
WAFEQ,
WAVE,
XERO,
ZOHO_BOOKS,
PUZZLE_SANDBOX,
PUZZLE,
RILLET,
RILLET_SANDBOX,
AMAZON,
BIG_COMMERCE,
SHOPIFY,
SQUARESPACE,
WIX,
WOO_COMMERCE,
GOOGLE_PLAYSTORE,
CHARGEBEE,
MOLLIE,
PAYPAL,
PAYPAL_SANDBOX,
RAZORPAY,
SQUARE,
SQUARE_SANDBOX,
STRIPE,
STRIPE_TEST,
STRIPE_SANDBOX,
ZOHO_INVOICE,
PADDLE,
PADDLE_SANDBOX,
HUBSPOT,
PIPEDRIVE,
SALES_FORCE,
ZOHO_CRM,
GUSTO
status
enum<string>
required
Available options:
PENDING,
APPROVED,
REJECTED,
CANCELLED
rootfi_created_at
string
required
company_name
object | null
requester_ip
object | null
resolved_by_user_id
object | null
resolved_by
object | null
resolved_at
object | null